org.wildfly.swarm.config.jgroups

## Class Channel<T extends Channel<T>>

- java.lang.Object
- - org.wildfly.swarm.config.jgroups.Channel<T>

-     public class Channel<T extends Channel<T>>
      extends Object

  A JGroups channel.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Channel.ChannelResources` Child mutators for Channel

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Channel(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `address()` The IP address of the channel.
    `T` | `address(String value)` The IP address of the channel.
    `String` | `addressAsUuid()` The address of the channel as a UUID.
    `T` | `addressAsUuid(String value)` The address of the channel as a UUID.
    `String` | `cluster()` The cluster name of the JGroups channel.
    `T` | `cluster(String value)` The cluster name of the JGroups channel.
    `Boolean` | `discardOwnMessages()` If true, do not receive messages sent by this node (ourself).
    `T` | `discardOwnMessages(Boolean value)` If true, do not receive messages sent by this node (ourself).
    `T` | `fork(Fork value)` Add the Fork object to the list of subresources
    `T` | `fork(ForkSupplier supplier)` Install a supplied Fork object to the list of subresources
    `T` | `fork(String childKey)` Create and configure a Fork object to the list of subresources
    `T` | `fork(String childKey, ForkConsumer consumer)` Create and configure a Fork object to the list of subresources
    `T` | `forks(List<Fork> value)` Add all Fork objects to this subresource
    `String` | `getKey()`
    `String` | `module()` The module from which to load channel services
    `T` | `module(String value)` The module from which to load channel services
    `Integer` | `numTasksInTimer()` The current number of timer tasks.
    `T` | `numTasksInTimer(Integer value)` The current number of timer tasks.
    `Integer` | `numTimerThreads()` The number of timer threads.
    `T` | `numTimerThreads(Integer value)` The number of timer threads.
    `Long` | `receivedBytes()` The number of bytes received by this channel.
    `T` | `receivedBytes(Long value)` The number of bytes received by this channel.
    `Long` | `receivedMessages()` The number of messages received by this channel.
    `T` | `receivedMessages(Long value)` The number of messages received by this channel.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Long` | `sentBytes()` The number of bytes sent by this channel.
    `T` | `sentBytes(Long value)` The number of bytes sent by this channel.
    `Long` | `sentMessages()` The number of messages sent by this channel.
    `T` | `sentMessages(Long value)` The number of messages sent by this channel.
    `String` | `stack()` The protocol stack of the JGroups channel
    `T` | `stack(String value)` The protocol stack of the JGroups channel
    `String` | `state()` The state of the channel (OPEN, CONNECTING, CONNECTED, CLOSED).
    `T` | `state(String value)` The state of the channel (OPEN, CONNECTING, CONNECTED, CLOSED).
    `Boolean` | `statisticsEnabled()` If enabled, collect channel statistics.
    `T` | `statisticsEnabled(Boolean value)` If enabled, collect channel statistics.
    `Boolean` | `statsEnabled()` If enabled, collect channel statistics.
    `T` | `statsEnabled(Boolean value)` If enabled, collect channel statistics.
    `Channel.ChannelResources` | `subresources()`
    `String` | `version()` The JGroups software version.
    `T` | `version(String value)` The JGroups software version.
    `String` | `view()` The channel's view of group membership.
    `T` | `view(String value)` The channel's view of group membership.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Channel

          public Channel(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Channel.ChannelResources subresources()

    - #### forks

          public T forks(List<Fork> value)

      Add all Fork objects to this subresource
      Parameters:
        `value` - List of Fork objects.
      Returns:
        this

    - #### fork

          public T fork(Fork value)

      Add the Fork object to the list of subresources
      Parameters:
        `value` - The Fork to add
      Returns:
        this

    - #### fork

          public T fork(String childKey,
                        ForkConsumer consumer)

      Create and configure a Fork object to the list of subresources
      Parameters:
        `key` - The key for the Fork resource
        `config` - The ForkConsumer to use
      Returns:
        this

    - #### fork

          public T fork(String childKey)

      Create and configure a Fork object to the list of subresources
      Parameters:
        `key` - The key for the Fork resource
      Returns:
        this

    - #### fork

          public T fork(ForkSupplier supplier)

      Install a supplied Fork object to the list of subresources

    - #### address

          public String address()

      The IP address of the channel.

    - #### address

          public T address(String value)

      The IP address of the channel.

    - #### addressAsUuid

          public String addressAsUuid()

      The address of the channel as a UUID.

    - #### addressAsUuid

          public T addressAsUuid(String value)

      The address of the channel as a UUID.

    - #### cluster

          public String cluster()

      The cluster name of the JGroups channel. If undefined, the name of the channel will be used.

    - #### cluster

          public T cluster(String value)

      The cluster name of the JGroups channel. If undefined, the name of the channel will be used.

    - #### discardOwnMessages

          public Boolean discardOwnMessages()

      If true, do not receive messages sent by this node (ourself).

    - #### discardOwnMessages

          public T discardOwnMessages(Boolean value)

      If true, do not receive messages sent by this node (ourself).

    - #### module

          public String module()

      The module from which to load channel services

    - #### module

          public T module(String value)

      The module from which to load channel services

    - #### numTasksInTimer

          public Integer numTasksInTimer()

      The current number of timer tasks.

    - #### numTasksInTimer

          public T numTasksInTimer(Integer value)

      The current number of timer tasks.

    - #### numTimerThreads

          public Integer numTimerThreads()

      The number of timer threads.

    - #### numTimerThreads

          public T numTimerThreads(Integer value)

      The number of timer threads.

    - #### receivedBytes

          public Long receivedBytes()

      The number of bytes received by this channel.

    - #### receivedBytes

          public T receivedBytes(Long value)

      The number of bytes received by this channel.

    - #### receivedMessages

          public Long receivedMessages()

      The number of messages received by this channel.

    - #### receivedMessages

          public T receivedMessages(Long value)

      The number of messages received by this channel.

    - #### sentBytes

          public Long sentBytes()

      The number of bytes sent by this channel.

    - #### sentBytes

          public T sentBytes(Long value)

      The number of bytes sent by this channel.

    - #### sentMessages

          public Long sentMessages()

      The number of messages sent by this channel.

    - #### sentMessages

          public T sentMessages(Long value)

      The number of messages sent by this channel.

    - #### stack

          public String stack()

      The protocol stack of the JGroups channel

    - #### stack

          public T stack(String value)

      The protocol stack of the JGroups channel

    - #### state

          public String state()

      The state of the channel (OPEN, CONNECTING, CONNECTED, CLOSED).

    - #### state

          public T state(String value)

      The state of the channel (OPEN, CONNECTING, CONNECTED, CLOSED).

    - #### statisticsEnabled

          public Boolean statisticsEnabled()

      If enabled, collect channel statistics.

    - #### statisticsEnabled

          public T statisticsEnabled(Boolean value)

      If enabled, collect channel statistics.

    - #### statsEnabled

          public Boolean statsEnabled()

      If enabled, collect channel statistics.

    - #### statsEnabled

          public T statsEnabled(Boolean value)

      If enabled, collect channel statistics.

    - #### version

          public String version()

      The JGroups software version.

    - #### version

          public T version(String value)

      The JGroups software version.

    - #### view

          public String view()

      The channel's view of group membership.

    - #### view

          public T view(String value)

      The channel's view of group membership.

Copyright © 2017 JBoss by Red Hat. All rights reserved.